## org.apache.batik.dom.events
Class DOMMutationNameEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMMutationEvent
              org.apache.batik.dom.events.DOMMutationNameEvent

All Implemented Interfaces:
  java.lang.Cloneable, OriginalEvent, Event, MutationEvent, MutationNameEvent

    public class DOMMutationNameEvent

extends DOMMutationEvent
implements MutationNameEvent

Class to implement DOM 3 MutationName events.

Field Summary
`protected java.lang.String` `prevNamespaceURI` The node's previous namespace URI.
`protected java.lang.String` `prevNodeName` The node's previous name.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMMutationNameEvent()`

Method Summary
`java.lang.String` `getPrevNamespaceURI()` Gets the node's previous namespace URI.
`java.lang.String` `getPrevNodeName()` Gets the node's previous node name.
`void` `initMutationNameEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.Node relatedNodeArg, java.lang.String prevNamespaceURIArg, java.lang.String prevNodeNameArg)` Initializes this MutationNameEvent.
`void` `initMutationNameEventNS(java.lang.String namespaceURI, java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.Node relatedNodeArg, java.lang.String prevNamespaceURIArg, java.lang.String prevNodeNameArg)` Initializes this MutationNameEvent.

Methods inherited from class org.apache.batik.dom.events.DOMMutationEvent
`getAttrChange, getAttrName, getNewValue, getPrevValue, getRelatedNode, initMutationEvent, initMutationEventNS`

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.MutationEvent
`getAttrChange, getAttrName, getNewValue, getPrevValue, getRelatedNode, initMutationEvent, initMutationEventNS`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### prevNamespaceURI

    protected java.lang.String prevNamespaceURI

  The node's previous namespace URI.

### prevNodeName

    protected java.lang.String prevNodeName

  The node's previous name.

Constructor Detail

### DOMMutationNameEvent

    public DOMMutationNameEvent()

Method Detail

### initMutationNameEvent

    public void initMutationNameEvent(java.lang.String typeArg,
                                      boolean canBubbleArg,
                                      boolean cancelableArg,
                                      org.w3c.dom.Node relatedNodeArg,
                                      java.lang.String prevNamespaceURIArg,
                                      java.lang.String prevNodeNameArg)

  Initializes this MutationNameEvent.

  Specified by:
    `initMutationNameEvent` in interface `MutationNameEvent`
  Parameters:
    `typeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `relatedNodeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `prevNamespaceURIArg` - Specifies `MutationNameEvent.prevNamespaceURI`. This value may be `null`.
    `prevNodeNameArg` - Specifies `MutationNameEvent.prevNodeName`.

### initMutationNameEventNS

    public void initMutationNameEventNS(java.lang.String namespaceURI,
                                        java.lang.String typeArg,
                                        boolean canBubbleArg,
                                        boolean cancelableArg,
                                        org.w3c.dom.Node relatedNodeArg,
                                        java.lang.String prevNamespaceURIArg,
                                        java.lang.String prevNodeNameArg)

  Initializes this MutationNameEvent.

  Specified by:
    `initMutationNameEventNS` in interface `MutationNameEvent`
  Parameters:
    `namespaceURI` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `relatedNodeArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `prevNamespaceURIArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `prevNodeNameArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.

### getPrevNamespaceURI

    public java.lang.String getPrevNamespaceURI()

  Gets the node's previous namespace URI.

  Specified by:
    `getPrevNamespaceURI` in interface `MutationNameEvent`

### getPrevNodeName

    public java.lang.String getPrevNodeName()

  Gets the node's previous node name.

  Specified by:
    `getPrevNodeName` in interface `MutationNameEvent`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.